Bug 468271 - dpms-on quirk needed for Asus Eee PC 901
dpms-on quirk needed for Asus Eee PC 901
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-23 16:19 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2014-09-16 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:38:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-10-23 16:19:57 EDT
Description of problem:
On Asus Eee PC 901 running rawhide/F-10 screen stays off after resuming from suspend or hibernation, but the machine is not hanging (keyboard works and I can blindly type reboot, for example).

Version-Release number of selected component (if applicable):
hal-info-20081022-1.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. pm-suspend/pm-hibernate
2. resume
  
Actual results:
Machine wakes up but screen is off.

Expected results:
Screen should return to normal as well.

Additional info:
Adding --quirk-dpms-on brings the screen back on.

--store-quirks-as-fdi produces the following file:

$ cat /etc/hal/fdi/information/99local-pm-utils-quirks.fdi 
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- -->
<!-- Created by pm-utils -->
<deviceinfo version="0.2">
  <device>
    <match key="system.hardware.vendor" string="ASUSTeK Computer INC.">
      <match key="system.hardware.product" string="901">
        <match key="system.firmware.version" string="1202">
          <match key="system.hardware.primary_video.vendor" int="0x8086">
            <match key="system.hardware.primary_video.product" int="0x27ae">
            </match>
          </match>
        </match>
      </match>
    </match>
  </device>
</deviceinfo>
Comment 1 Richard Hughes 2008-10-24 04:59:18 EDT
Can you email this to the HAL mailing list please.
Comment 2 Matthias Clasen 2008-10-25 00:26:47 EDT
Should we get this in  F10 ?
Comment 3 Jeremy Katz 2008-10-30 16:25:44 EDT
It seems like we should; the hardware is pretty common and a very common target for Fedora
Comment 4 Dominik 'Rathann' Mierzejewski 2008-11-03 06:47:52 EST
FYI: this is not needed after upgrading to the latest BIOS (1603).
Comment 5 Bug Zapper 2008-11-25 23:10:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 04:18:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Dominik 'Rathann' Mierzejewski 2009-12-05 16:17:09 EST
Was this ever fixed? I can't test, because I've updated my BIOS.
Comment 8 Bug Zapper 2009-12-18 01:38:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Richard Hughes 2014-09-16 06:27:48 EDT
(In reply to Dominik 'Rathann' Mierzejewski from comment #7)
> Was this ever fixed? I can't test, because I've updated my BIOS.

It should be handled in the kernel now.

Note You need to log in before you can comment on or make changes to this bug.